# +--------------------------------------------------------------------------+
# | Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
# | This software contains proprietary and confidential information of       |
# | Rational and its suppliers. Use, disclosure or reproduction is           |
# | prohibited without the prior express written consent of Rational.        |
# +--------------------------------------------------------------------------+
# 
###############################################################################
# Context Makefile
#
# This makefile contains static and switch macros that are dependent on
# the directory context.


###############################################################################
# Static Apex Macros

APEX_DIRECTORY_CLASS			  =

APEX_KEY				  =

APEX_KEY_VERSION			  =

APEX_UMASK				  =

APEX_MAKE_PROG				  =


###############################################################################
# Apex Switch Macros

##############
# Build Policy

APEX_BUILD_POLICY			  =

APEX_BUILD_COMPONENT			  =

APEX_BUILD_PHASES			  =


#################
# Linking Options

APEX_C_LINK_MODE			  =

APEX_C_LINK_PRE_OPTIONS			  =

APEX_C_LINK_OPTIONS			  =

APEX_CPP_LINK_MODE			  =

APEX_CPP_LINK_PRE_OPTIONS		  =

APEX_CPP_LINK_OPTIONS			  =

APEX_LINK_CLOSURE_POLICY 		  =

APEX_LINK_CLOSURE_LANGUAGES 		  =

APEX_CHECK_LINK_DEPENDENCIES		  =
 
APEX_CONFIGURATION			  =

APEX_LINKER_OPTIONS			  =

APEX_PURIFY				  =

APEX_QUANTIFY				  =

APEX_PURECOVERAGE			  =

APEX_PURELINK				  =

PURE_ENABLEMENT				  = "PURIFY=$(APEX_PURIFY):QUANTIFY=$(APEX_QUANTIFY):PURECOVERAGE=$(APEX_PURECOVERAGE):PURELINK=$(APEX_PURELINK)"


##########################################
# Archived Library and Non-Library Options

APEX_CREATE_ARCHIVED_LIBRARY		  =

APEX_LIBRARY_NAME			  =

APEX_LINK_CONTRIBUTION_PRE_OPTIONS 	  = 

APEX_LINK_CONTRIBUTION_LIBRARY		  =

APEX_LINK_CONTRIBUTION_OPTIONS		  =


########################
# Shared Library Options

APEX_CREATE_SHARED_LIBRARY		  =

APEX_SHARED_LIBRARY_NAME		  =

APEX_LINK_CONTRIBUTION_SHARED_PRE_OPTIONS = 

APEX_LINK_CONTRIBUTION_SHARED_LIBRARY	  =

APEX_LINK_CONTRIBUTION_SHARED_OPTIONS	  =


###################
# Sienna Generation

APEX_SIENNA				  =

APEX_SIENNA_HOME			  = 

APEX_SIENNA_OPTIONS			  =


###################
#Dependency Update

APEX_DEPENDENCIES			  = 

APEX_DEPENDENCIES_OPTIONS		  =


####################
# Repository Options

APEX_CPP_PTREPOSITORY_ARTIFACT_NAMES	  =

APEX_CPP_PTREPOSITORY_ARTIFACT_EXTS	  =

APEX_CLEAN_ARTIFACTS			  =

##########################
# Special Options

APEX_DISASSEMBLE_OPTIONS		  =

APEX_GENERATION_TARGET			  =


##########################
# Delivery Options

APEX_DELIVER_OBJECTS			  =

APEX_DELIVER_TO_DIRECTORY		  = 

APEX_DELIVER_OBJECTS_1			  =

APEX_DELIVER_TO_DIRECTORY_1		  = 

APEX_DELIVER_OBJECTS_2			  =

APEX_DELIVER_TO_DIRECTORY_2		  = 

APEX_DELIVER_OBJECTS_3			  =

APEX_DELIVER_TO_DIRECTORY_3		  = 

APEX_DELIVER_OBJECTS_4			  =

APEX_DELIVER_TO_DIRECTORY_4		  = 

APEX_DELIVER_OBJECTS_5			  =

APEX_DELIVER_TO_DIRECTORY_5		  = 

APEX_DELIVER_OBJECTS_6			  =

APEX_DELIVER_TO_DIRECTORY_6		  = 

APEX_DELIVER_OBJECTS_7			  =

APEX_DELIVER_TO_DIRECTORY_7		  = 

APEX_DELIVER_OBJECTS_8			  =

APEX_DELIVER_TO_DIRECTORY_8		  = 

APEX_DELIVER_OBJECTS_9			  =

APEX_DELIVER_TO_DIRECTORY_9		  = 


##########################
# Java Options

APEX_JAVA_HOME                  	  =

APEX_JAVAC_OPTIONS              	  =

APEX_JAVA_CLASSPATH             	  =

APEX_JAVADOC_OPTIONS			  =


##########################
# Enable Layered Products

APEX_ENABLE_PRODUCT			  =	
