# Code Rules -- each line has the form:
#   Rule_Name  Value  [Severity]
# Value is "On" or "Off", or a number, as appropriate.
# Severity is "Error", "Warning", or "Informational".
# The default severity is "Warning".

Ambiguous_Operator_In_If_Condition:             On
Inheritance_In_Use:                             On
Maximum_Inheritance_Depth:                      0    Informational
Member_Access_Control_Order:                    On
Missing_Constructor:                            On
Multiple_Inheritance_In_Use:                    On
Negative_Array_Index:                           On
New_And_Delete_Should_Both_Be_Overloaded:       On
No_Break_In_Switch_Case:                        On
No_Default_Case_In_Switch_Statement:            On
No_Destructor_For_Constructor_With_New:         On
No_Destructor_For_Matching_Constructor:         On
No_Matching_Delete_For_New:                     On
No_Matching_New_For_Delete:                     On
Nonvirtual_Destructor_Defined_In_Base_Class:    On
Nonvirtual_Member_Overriding_Virtual:           On
Overloading_Global_New_Operator:                On
Parentheses_Recommended_For_Logical_Operators:  On
Private_Or_Protected_In_Struct:                 On
Public_Data_Member:                             On   Informational
Pure_Virtual_Not_Overridden:                    On
Unshared_Base_Class:                            On
Virtual_Member_And_Nonvirtual_Destructor:       On
