# +--------------------------------------------------------------------------+
# | Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
# | This software contains proprietary and confidential information of       |
# | Rational and its suppliers. Use, disclosure or reproduction is           |
# | prohibited without the prior express written consent of Rational.        |
# +--------------------------------------------------------------------------+
# 
###############################################################################
# Context Makefile
#
# This makefile contains static and switch macros that are dependent on
# the directory context.


###############################################################################
# Static Apex Macros

APEX_DIRECTORY_CLASS			  = Directory

APEX_KEY				  = /accts/tuff.a/rel422_basestg/base/c++/keys/standard.4.2.2b

APEX_KEY_VERSION			  = 8.0

APEX_UMASK				  = 02

APEX_MAKE_PROG				  = make


###############################################################################
# Apex Switch Macros

##############
# Build Policy

APEX_BUILD_POLICY			  = external_library

APEX_BUILD_COMPONENT			  = cpp

APEX_BUILD_PHASES			  = apex prepare -imports /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel; apex code -imports /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel


#################
# Linking Options

APEX_C_LINK_MODE			  = default

APEX_C_LINK_PRE_OPTIONS			  =

APEX_C_LINK_OPTIONS			  =

APEX_CPP_LINK_MODE			  = default

APEX_CPP_LINK_PRE_OPTIONS		  =

APEX_CPP_LINK_OPTIONS			  =

APEX_LINK_CLOSURE_POLICY 		  = combine

APEX_LINK_CLOSURE_LANGUAGES 		  =

APEX_CHECK_LINK_DEPENDENCIES		  = false
 
APEX_CONFIGURATION			  =

APEX_LINKER_OPTIONS			  =

APEX_PURIFY				  = false

APEX_QUANTIFY				  = false

APEX_PURECOVERAGE			  = false

APEX_PURELINK				  = false

PURE_ENABLEMENT				  = "PURIFY=$(APEX_PURIFY):QUANTIFY=$(APEX_QUANTIFY):PURECOVERAGE=$(APEX_PURECOVERAGE):PURELINK=$(APEX_PURELINK)"


##########################################
# Archived Library and Non-Library Options

APEX_CREATE_ARCHIVED_LIBRARY		  = true

APEX_LIBRARY_NAME			  = libtestmate.a

APEX_LINK_CONTRIBUTION_PRE_OPTIONS 	  = 

APEX_LINK_CONTRIBUTION_LIBRARY		  = /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel/libtestmate.a

APEX_LINK_CONTRIBUTION_OPTIONS		  = /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel/libtestmate.a


########################
# Shared Library Options

APEX_CREATE_SHARED_LIBRARY		  = false

APEX_SHARED_LIBRARY_NAME		  = libtestmate.so

APEX_LINK_CONTRIBUTION_SHARED_PRE_OPTIONS = 

APEX_LINK_CONTRIBUTION_SHARED_LIBRARY	  = /accts/tuff.a/rel422_basestg/base/c++/testmate.ss/i386_linux2.4.2.2.rel/libtestmate.so

APEX_LINK_CONTRIBUTION_SHARED_OPTIONS	  =


###################
# Sienna Generation

APEX_SIENNA				  = false

APEX_SIENNA_HOME			  = nil

APEX_SIENNA_OPTIONS			  =


###################
#Dependency Update

APEX_DEPENDENCIES			  = true

APEX_DEPENDENCIES_OPTIONS		  =


####################
# Repository Options

APEX_CPP_PTREPOSITORY_ARTIFACT_NAMES	  =

APEX_CPP_PTREPOSITORY_ARTIFACT_EXTS	  =

APEX_CLEAN_ARTIFACTS			  =

##########################
# Special Options

APEX_DISASSEMBLE_OPTIONS		  =

APEX_GENERATION_TARGET			  = code


##########################
# Delivery Options

APEX_DELIVER_OBJECTS			  =

APEX_DELIVER_TO_DIRECTORY		  = 

APEX_DELIVER_OBJECTS_1			  =

APEX_DELIVER_TO_DIRECTORY_1		  = 

APEX_DELIVER_OBJECTS_2			  =

APEX_DELIVER_TO_DIRECTORY_2		  = 

APEX_DELIVER_OBJECTS_3			  =

APEX_DELIVER_TO_DIRECTORY_3		  = 

APEX_DELIVER_OBJECTS_4			  =

APEX_DELIVER_TO_DIRECTORY_4		  = 

APEX_DELIVER_OBJECTS_5			  =

APEX_DELIVER_TO_DIRECTORY_5		  = 

APEX_DELIVER_OBJECTS_6			  =

APEX_DELIVER_TO_DIRECTORY_6		  = 

APEX_DELIVER_OBJECTS_7			  =

APEX_DELIVER_TO_DIRECTORY_7		  = 

APEX_DELIVER_OBJECTS_8			  =

APEX_DELIVER_TO_DIRECTORY_8		  = 

APEX_DELIVER_OBJECTS_9			  =

APEX_DELIVER_TO_DIRECTORY_9		  = 


##########################
# Java Options

APEX_JAVA_HOME                  	  = nil

APEX_JAVAC_OPTIONS              	  =

APEX_JAVA_CLASSPATH             	  = nil

APEX_JAVADOC_OPTIONS			  =


##########################
# Enable Layered Products

APEX_ENABLE_PRODUCT			  = coverage_analyzer
